import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.super_pop_switch import SuperPopSwitch
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_super_pop_switch_success(super_pop_switch_subscription_factory):
    imported_super_pop_switch = super_pop_switch_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_super_pop_switch", [{"subscription_id": imported_super_pop_switch}])
    subscription = SuperPopSwitch.from_subscription(imported_super_pop_switch)

    assert_complete(result)
    assert subscription.product.name == ProductName.SUPER_POP_SWITCH
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync is True
